// ImageProcTestDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include <sapi.h>


// CImageProcTestDlg dialog
class CImageProcTestDlg : public CDialog
{
// Construction
public:
	CImageProcTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_IMAGEPROCTEST_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButtonOpenImage();
	afx_msg void OnBnClickedCheckSpeechEnbled();
	void DrawText(const WCHAR *pText);
	void DisplayPageInfo(const WCHAR *pText);
	void Speak(const WCHAR *pText);
	void DingSound();
private:
	BOOL m_bSpeechOutputEnabled;
	CEdit m_editOcrText;
	CComPtr<ISpVoice> m_cpVoice;
};
